Jump to content

0SM-FLAT-PATTERN rename defaut


Recommended Posts

Interteris

квк изменить дефаултное название 0SM-FLAT-PATTERN в настойках. Задалбало постоянно возвращятся в конфигурацию детали и в ручную и изменять названия. 

dolzno.jpg

Est.jpg

Link to post
Share on other sites


UnPinned posts
Kelny
5 часов назад, Interteris сказал:

квк изменить дефаултное название 0SM-FLAT-PATTERN в настойках. Задалбало постоянно возвращятся в конфигурацию детали и в ручную и изменять названия. 

Можно создать(добавить) конфигурацию развёртки ещё в модели с нужным именем и для этой конфигурации высветить элемент РАЗВЁРТКА в дереве (или соответствующая кнопка инструмента РАЗВЁРТКА). В чертеже использовать созданную конфигурацию, а не автоматически создаваемую при использования инструментов чертежа - не использовать РАЗВЁРТКА из палитры видов, а вставить вид и выбрать конфигурацию отображения развёртки для вставленного вида.

 

Так же после создания конфигурации развёртки стоит забыть о существовании кнопки инструмента РАЗВЁРТКА и использовать для отображения развёртки исключительно созданную конфигурацию развёртки.

Edited by Kelny
Link to post
Share on other sites
Kelny
5 часов назад, Interteris сказал:

Задалбало постоянно возвращятся в конфигурацию детали и в ручную и изменять названия. 

Как вариант макрос (создать новый макрос и заменить содержимое тем, что ниже, а для макроса потом на какую-нибудь панельку можно вынести кнопку для запуска макроса и при необходимости присвоить кнопке горячую клавишу):

Цитата

'------------------------------------------
'Условия:

'Исправить в макросе "ТУТ_ВАША_ДОБАВКА"
'Модель листового металла открыта и выбрана нужная конфигурация,
'открыт чертёж для выбраной модели и открыта панель видов,
'развёртка ещё не вставлена
'
'Результат:
'Будет добавлен плоский вид
'Конфигурация будет названа иначе
'-------------------------------------------

Option Explicit


Sub main()
    Dim swApp                   As SldWorks.SldWorks
    Dim swModel                 As SldWorks.ModelDoc2
    Dim swDraw                  As SldWorks.DrawingDoc
    Dim swView                  As SldWorks.View
    Dim bRet                    As Boolean
    Dim ActiveConfig            As String
    Dim thisConfig As Configuration
    Dim swNewView As View
    Dim vPaletteNames As Variant


    Set swApp = CreateObject("SldWorks.Application")

    Set swDraw = swApp.ActiveDoc
    
    vPaletteNames = swDraw.GetDrawingPaletteViewNames() 'Все варианты имён в палитре видов
 

'Вставка на чертёж из платиры видов вида Развертка  в координаты (значения в метрах)
    Set swNewView = swDraw.DropDrawingViewFromPalette2("Развертка", 0.1, 0.1, 0.1)

Debug.Print "New drawing view name: " & swNewView.Name

 

'Модель по которой создана вид в чертеже для переименования

Set swModel = swNewView.ReferencedDocument
        Set thisConfig = swModel.GetActiveConfiguration
    ActiveConfig = thisConfig.Name
 

'Находим конфигурацию развёртки в модели  

     Set thisConfig = swModel.GetConfigurationByName(ActiveConfig & "SM-FLAT-PATTERN")
     Debug.Print "Name по умолчанию:    ", thisConfig.Name
     

'Переименовываем на новое имя конфигрурации
     thisConfig.Name = ActiveConfig & "ТУТ_ВАША_ДОБАВКА" 
     Debug.Print "Name новое:    ", thisConfig.Name
     
     Debug.Print swNewView.GetName2
     Debug.Print swNewView.FlipView

 

     'swNewView.FlipView = False 'тут можно перевернуть вид
     'Debug.Print swNewView.FlipView
    
End Sub

 

Edited by Kelny
Link to post
Share on other sites
clavr

1. создать шаблон детали. обозвать "деталь листовая". 

2. создать в ней листовую деталь. создать автоматом развертку.

3. переименовать созданную конфигурацию как душе удобно.

4. очистить дерево построения - удалить операции в дереве. (можно оставить основу, по желанию)

5. сохранить шаблон.

 

далее использовать его для создания листовых деталей.

 

p.s. фишка только для детали c одной конфигурацией. при создании новых для них будет создаваться старое имя

Edited by clavr
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...